Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
rssheadlines.php File Reference

Go to the source code of this file.

## Functions
foreach( $eventListLimited as $event) if( $RssVersion=="0.9") elseif( $RssVersion=="1.0") | addZero ( $value)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Title = htmlspecialchars($ini->variable( "eZGroupEventCalendarRSS", "Title" ))
| $Link = $ini->variable( "eZGroupEventCalendarRSS", "Link" )
| $Description = htmlspecialchars($ini->variable( "eZGroupEventCalendarRSS", "Description" ))
| $Language = $ini->variable( "eZGroupEventCalendarRSS", "Language" )
| $Encoding = $ini->variable( "eZGroupEventCalendarRSS", "Encoding" )
| $Image = $ini->variable( "eZGroupEventCalendarRSS", "Image" )
| $GroupID = $ini->variable( "eZGroupEventCalendarRSS", "GroupID" )
| $Limit = $ini->variable( "eZGroupEventCalendarRSS", "Limit" )
| $LimitDirectionForward = true
| $RssVersion = $ini->variable( "eZGroupEventCalendarRSS", "RssVersion" )
| $headerInfo = ( getallheaders() )
| $Host = $headerInfo["Host"]
| $Debug = false
if( $RssVersion !="0.9") | $locale = new eZLocale( $Language )

## Function Documentation

## ◆ addZero()

foreach ($eventListLimited as $event) if ($RssVersion=="0.9") elseif ($RssVersion=="1.0") addZero | ( |  | $value | ) |

Definition at line 266 of file rssheadlines.php.

References $ret.

## Variable Documentation

## ◆ $Debug

$Debug = false

Definition at line 60 of file rssheadlines.php.

## ◆ $Description

$Description = htmlspecialchars($ini->variable( "eZGroupEventCalendarRSS", "Description" ))

Definition at line 45 of file rssheadlines.php.

## ◆ $Encoding

$Encoding = $ini->variable( "eZGroupEventCalendarRSS", "Encoding" )

Definition at line 47 of file rssheadlines.php.

## ◆ $GroupID

$GroupID = $ini->variable( "eZGroupEventCalendarRSS", "GroupID" )

Definition at line 51 of file rssheadlines.php.

Referenced by eZUserGroup\users().

## ◆ $headerInfo

$headerInfo = ( getallheaders() )

Definition at line 56 of file rssheadlines.php.

## ◆ $Host

$Host = $headerInfo["Host"]

Definition at line 57 of file rssheadlines.php.

## ◆ $Image

$Image = $ini->variable( "eZGroupEventCalendarRSS", "Image" )

Definition at line 49 of file rssheadlines.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 42 of file rssheadlines.php.

## ◆ $Language

$Language = $ini->variable( "eZGroupEventCalendarRSS", "Language" )

Definition at line 46 of file rssheadlines.php.

## ◆ $Limit

$Limit = $ini->variable( "eZGroupEventCalendarRSS", "Limit" )

Definition at line 52 of file rssheadlines.php.

## ◆ $LimitDirectionForward

$LimitDirectionForward = true

Definition at line 53 of file rssheadlines.php.

## ◆ $Link

$Link = $ini->variable( "eZGroupEventCalendarRSS", "Link" )

Definition at line 44 of file rssheadlines.php.

## ◆ $locale

if ($RssVersion !="0.9") $locale = new eZLocale( $Language )

Definition at line 188 of file rssheadlines.php.

## ◆ $RssVersion

$RssVersion = $ini->variable( "eZGroupEventCalendarRSS", "RssVersion" )

Definition at line 54 of file rssheadlines.php.

## ◆ $Title

$Title = htmlspecialchars($ini->variable( "eZGroupEventCalendarRSS", "Title" ))

Definition at line 43 of file rssheadlines.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.